Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2004-0981

CVE information

Published

17 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Buffer overflow in the EXIF parsing routine in ImageMagick before 6.1.0 allows remote attackers to execute arbitrary code via a certain image file..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:imagemagick:imagemagick:5.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.4.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.4.8.2.1.1.0:*:*:*:*:*:*:
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.5.3.2.1.2.0:*:*:*:*:*:*:
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.5.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.5.6.0_2003-04-09:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:6.0.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.4.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:imagemagick:imagemagick:5.4.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:arm:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:m68k:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:ia-32:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:mips:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:x86_64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:mipsel:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:ia-64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:gentoo:linux:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:ppc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:hppa:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:s-390:*:*:*:*:*
  Yes
- -
cpe:2.3:o:debian:debian_linux:3.0:*:sparc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.1:*:*:*:*:*:*:*
  Yes
- -